### Method

# WebKit2WebExtension DOMDocument create_processing_instruction

#### Declaration [src]

    WebKitDOMProcessingInstruction*
    webkit_dom_document_create_processing_instruction (
      WebKitDOMDocument* self,
      const gchar* target,
      const gchar* data,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`target` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`data` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitDOMProcessingInstruction`
| A `WebKitDOMProcessingInstruction`.
| The data is owned by the instance.